安装多个NI软件产品时的安装顺序

更新 Sep 9, 2019

适用于

Software

  • LabVIEW
  • NI Device Drivers

Driver

  • NI-DAQmx

问题详述

  • 我购买了多种NI的硬件和软件产品,请问NI软件和相应的硬件驱动安装是否有一定的安装优先级或安装顺序的要求?
  • 我需要在安装了较新版LabVIEW(或LabWindows™/ CVI)的计算机上安装旧版本的LabVIEW(或LabWindows™/ CVI)。在较新版本的基础上安装旧版本是否会存在一些问题?这个操作可以实现吗?
  • 我将LabVIEW升级到更新的版本之后,一些VI出现了断开的情况,什么原因可能导致这种情况的发生?
  • 我刚刚安装了NI-DAQmx和LabVIEW,但是DAQ功能在LabVIEW中不可用,哪里出现了问题呢?

解决方案

NI软件安装一般存在三种常见情景。请根据您的环境配置情况选择最符合的情景,并根据下述的安装指导进行操作。
  • 新安装:将软件到尚未安装NI软件产品的计算机。
  • 升级:安装较新版本的NI软件。
  • 安装旧版本软件:将旧版本的NI软件安装到已存在较新版本NI软件的计算机上。

 

新安装

在新安装情景下,软件环境的安装过程从安装应用开发环境(Application development environment, ADE)软件(LabVIEW或LabWindows™/ CVI)开始,然后是模块,工具包和驱动程序的安装。

请您按照下述流程安装应用程序软件(如果适用):
  1. LabVIEW开发环境
    • 如果您需要在计算机上安装多个版本,请您从最旧版本安装到最新版本。
  2. LabVIEW附加模块(如LabVIEW Real-Time模块)
    • 如果您需要在计算机上安装多个版本,请您从最旧版本安装到最新版本。
  3. LabVIEW工具包(如声音和振动工具包)
  4. 其他应用软件(如Measurement Studio,NI TestStand,DIAdem,NI VeriStand)。
  5. 硬件驱动程序
    • 注意: NI驱动程序通常支持最新四个版本的LabVIEW。若您安装的驱动程序不再支持您所使用的旧硬件,那么安装该驱动程序将移除当前计算机上所有应用程序对于您硬件的支持。若驱动程序不再支持当前所使用的较旧版本的LabVIEW,那么安装该驱动程序将完全移除当前环境对旧版LabVIEW的支持。
  6. 在您成功安装软件和驱动程序后,请将所需的硬件添加/安装到系统中,操作系统将会自动识别并安装硬件。


升级

若要升级NI软件,请您先验证本次升级将要执行的操作,然后按照新安装中的步骤进行安装。

通过查看驱动程序自述文件 (可在驱动程序下载和更新页面上找到)验证新的硬件驱动程序是否仍支持您所使用的硬件和当前环境下最早版本的LabVIEW。在查看上述内容后,若您认为本次升级所执行的操作能够满足您的需求,请您查看LabVIEW升级指南文档并按照新安装中的步骤安装软件。


安装旧版本软件

安装NI驱动程序时,驱动中将会包括对现有LabVIEW环境的支持。例如,大多数驱动程序都会包括低层硬件支持和支持LabVIEW等应用开发环境的API。

请您按照下述流程安装应用程序软件(如果适用):
  1. 安装较早版本的LabVIEW开发环境(可选择从较旧版本的LabVIEW平台DVD进行安装)。
  2. 安装所有用于较早版本LabVIEW的工具包或模块。
  3. 安装较新版本的硬件驱动程序,或运行安装选项修改程序以对旧版LabVIEW所使用的驱动程序进行修改。若要运行安装选项修改程序以修改硬件驱动程序的安装选项,请按照以下步骤操作:
    1. 启动NI卸载程序(在Windows 7下选择开始»控制面板»程序和功能),然后选择添加/删除National Instruments条目)。
    2. 选择需要修改的驱动程序,然后选择“修改”按钮。
    3. 按照安装程序的提示完成安装。

相关信息

如果您未按照正确的顺序进行软件安装,则某些产品可能会出现功能缺失的情况,如缺少配置设置或范例文件等。如果您遇到这些情况,最好将首先安装的产品(即LabVIEW,TestStand,DIAdem)进行安装修复。

如果您卸载并重新安装LabVIEW,则您还需要按照上述流程重新安装模块,工具包和驱动程序,否则某些产品可能出现功能缺失。

关于多版本LabVIEW的注意事项 :LabVIEW开发环境和所有工具包可与以前的主要版本并存。驱动安装程序将升级以前版本的驱动程序,并为计算机中任何受到支持的应用开发环境(例如LabVIEW)添加支持。

关于升级设备驱动程序的注意事项 :自2001年以来,所有驱动安装程序都能够检查之前已安装的驱动程序版本。如果驱动安装程序找到了较老的驱动程序,它将在安装最新版本之前将其卸载。如果它检测到当前环境已安装了最新的驱动程序,它将不执行任何操作。如果您正在使用2001年之前发布的驱动安装程序,请您在将驱动程序升级到较新版本之前卸载旧的驱动程序。

关于无序安装结果的注意事项:如果您在安装LabVIEW之前已经安装了驱动程序,LabVIEW中将不会具备使用驱动程序所需的API级组件。要解决此问题,您可以升级到更高版本的驱动程序 (首先请查看驱动程序自述文件,确认该驱动是否支持您系统中现有的硬件以及当前环境中最早版本的LabVIEW),或运行当前驱动程序版本的安装选项修改程序。

本文是否有帮助?

无帮助